package com.bocloud.ims.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 云硬盘类型实体类
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2019/10/17
 */
@Table("volume_type")
public class VolumeType extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;// id
	@Column("name")
	private String name;// 名称
	@Column("volume_type_uuid")
	private String volumeTypeUuid;// UUID
	@Column("volume_type")
	private String volumeType;// volumeType
	@Column("extra_specs")
	private String extraSpecs;// 扩展规格
	@Column("region_id")
	private String regionId;// 扩展规格
	@Column("vendor_id")
	private Long vendorId;// 云平台id
	@IgnoreAll
	private String vendorName;// 云平台名称

	/**
	 *
	 */
	public VolumeType() {
	}

	/**
	 * @param name
	 * @param volumeTypeUuid
	 * @param extraSpecs
	 * @param vendorId
	 */
	public VolumeType(String name, String volumeTypeUuid, String extraSpecs, Long vendorId) {
		this.name = name;
		this.volumeTypeUuid = volumeTypeUuid;
		this.extraSpecs = extraSpecs;
		this.vendorId = vendorId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVolumeTypeUuid() {
		return volumeTypeUuid;
	}

	public void setVolumeTypeUuid(String volumeTypeUuid) {
		this.volumeTypeUuid = volumeTypeUuid;
	}

	public String getExtraSpecs() {
		return extraSpecs;
	}

	public void setExtraSpecs(String extraSpecs) {
		this.extraSpecs = extraSpecs;
	}

	public Long getVendorId() {
		return vendorId;
	}

	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public String getVendorName() {
		return vendorName;
	}

	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	public String getVolumeType() {
		return volumeType;
	}

	public void setVolumeType(String volumeType) {
		this.volumeType = volumeType;
	}

	public String getRegionId() {
		return regionId;
	}

	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

}
